---
agentTools:
  projectIndex: https://validto.readme.io/llms.txt
---

# Authentication

validTo uses API keys to allow access to our email validation API. To get an API key log into your validTo account and navigate to API page, where you'll find your API key.

[block:html]
{
  "html": "<div><a href=\"https://app.validto.com/api\" class=\"btn btn-primary mr-2 mb-3\">Get your API Key</a></div>\n\n<style>\n  .btn {\n    display: inline-block;\n    font-weight: 500;\n    color: #555a64;\n    text-align: center;\n    vertical-align: middle;\n    -webkit-user-select: none;\n    -moz-user-select: none;\n    -ms-user-select: none;\n    user-select: none;\n    background-color: transparent;\n    padding: .2rem .5rem;\n    font-size: 0.9rem;\n    line-height: 1.5;\n    border-radius: 5px;\n    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;\n}\n.btn-primary {\n    color: #fff;\n    background-color: #009b72;\n    border-color: #009b72;\n    box-shadow: none;\n}\n  a {\n    text-decoration: none !important;\n}\n</style>"
}
[/block]

To authenticate with the validTo API, simply attach your **`apikey`** to the base endpoint URL

## Example:

```curl
curl -X GET 'https://api.validto.com/v1/verify?apikey=your_api_key&email=email_to_be_checked'
```

> 🚧
>
> You must replace *your\_api\_key* with your actual API key.